%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Name:           perl-DBD-MySQL
Version:        4.028
Release:        1
Summary:        A MySQL interface for perl
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/DBD-mysql/
Source0:        http://www.cpan.org/authors/id/C/CA/CAPTTOFU/DBD-mysql-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  mysql-devel >= 5.0.67
BuildRequires:  openssl-devel >= 1.0.1j-1
BuildRequires:  zlib-devel
BuildRequires:  perl-DBI >= 1.623

Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8
Requires:       mysql >= 5.0.67
Requires:       openssl >= 1.0.1j-1
Requires:       zlib
Requires:       perl-DBI >= 1.623

Provides:       perl-DBD-mysql = %{version}-%{release}

%description 
An implementation of DBI for MySQL for Perl.


%prep
%setup -q -n DBD-mysql-%{version}
# Correct file permissions
find . -type f | xargs chmod -x
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
cd 64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS=vendor --ssl
make
cd ../32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor --ssl
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc 32bit/ChangeLog 32bit/TODO
%{perl_vendorarch}/Bundle/*
%{perl_vendorarch64}/Bundle/*
%{perl_vendorarch}/DBD/*
%{perl_vendorarch64}/DBD/*
%{perl_vendorarch}/auto/DBD/*
%{perl_vendorarch64}/auto/DBD/*
%{_mandir}/man3/*.3*


%changelog
* Mon Dec 08 2014 Michael Perzl <michael@perzl.org> - 4.028-1
- updated to version 4.028-1

* Fri Feb 22 2013 Michael Perzl <michael@perzl.org> - 4.022-1
- first version for AIX V5.1 and higher
